Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.appengine.api.xmpp
Enum SendResponse.Status

    java.lang.Object
      java.lang.Enum<SendResponse.Status>
          com.google.appengine.api.xmpp.SendResponse.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SendResponse.Status>

Enclosing class:
  SendResponse

    public static enum SendResponse.Status

extends java.lang.Enum<SendResponse.Status>

Possible per-id responses to sending a message.

Enum Constant Summary
`INVALID_ID`
`OTHER_ERROR`
`SUCCESS`

Method Summary
`static SendResponse.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SendResponse.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final SendResponse.Status SUCCESS

### INVALID_ID

    public static final SendResponse.Status INVALID_ID

### OTHER_ERROR

    public static final SendResponse.Status OTHER_ERROR

Method Detail

### values

    public static SendResponse.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SendResponse.Status c : SendResponse.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SendResponse.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD